/*************************************************************************/
/* Copyright (C) 1995-1997 Marlis Hochbruck, Christian Lubich, Hubert    */
/* Selhofer. All rights reserved.                                        */
/*                                                                       */
/* C code written by Mathias Froehlich.                                  */
/*                                                                       */
/* This code is part of a copyrighted package. For details, see the file */
/* "COPYING" in the top-level directory.                                 */
/*************************************************************************/

/* header file for scnorm.h */

#ifdef  __cplusplus
extern "C" {
#endif

/* typedef struct { */
/*   finteger *neq; */
/*   Real *sqrt_neq; */
/*   Real *scale; */
/*   Exp4NormType Norm; */
/* } Exp4ScaledNorm;  */

extern int PREC(Exp4SetAtol) (Exp4TolType Type, ...);

extern int PREC(Exp4SetRtol) (Exp4TolType Type, ...);

extern void PREC(Exp4SetNormType) (Exp4NormType NormIn);

extern void PREC(Exp4InitScNorm) (Complex *First,finteger neqIn);

extern void PREC(Exp4SetScale) (Complex *x1,Complex *x2);

extern void PREC(Exp4SetScale1) (Complex *x1);

extern Real PREC(Exp4ScaledNorm) (Complex *x);

extern Real PREC(Exp4ScaledNormTmpScale) (Complex *x,
      Complex *Tmpscale);

extern Real PREC(Exp4GetMinRtol) ();

extern Real PREC(Exp4GetMaxRtol) ();

extern Real PREC(Exp4GetMinAtol) ();

extern Real PREC(Exp4GetMaxAtol) ();

#ifdef  __cplusplus
}
#endif
