/*************************************************************************/
/* Copyright (C) 1996 by Mathias Froehlich.                              */
/*                                                                       */
/* All rights reserved.                                                  */
/*                                                                       */
/* This code is part of a copyrighted package. For details, see the file */
/* "COPYRIGHT" in the this directory.                                    */
/*************************************************************************/

#include <stdlib.h>
#include <stdio.h>

#define HEADERNAME "undersc.h"

void ccall()
{
  FILE *file=fopen (HEADERNAME,"w");
  if (file != NULL)
  {
    fprintf(file,"#define NO_F77_UNDERSCORING\n");
    fclose(file);
    fprintf(stdout,"Generating the header file "HEADERNAME"\n");
  }
  else
    fprintf(stderr,"Fatal error: while detecting f77 underscoring !!\n"
	    "Can't open output File\n");
}

void ccall_()
{
  FILE *file=fopen (HEADERNAME,"w");
  if (file != NULL)
  {
    fprintf(file,"#define F77_UNDERSCORING\n");
    fclose(file);
    fprintf(stdout,"Generating the header file "HEADERNAME"\n");
  }
  else
    fprintf(stderr,"Fatal error: while detecting f77 underscoring !!\n"
	    "Can't open output File\n");
}
